# 所有配置的默认配置
# 最终的配置，详见config/finalConfig.json
# 在系统启动后，会保存这个配置
---
port: 4001
path:
  runtime: runtime
mysql: # 给typeorm使用的数据库配置，请实际情况配置
  host: localhost
  port: 3306
  username: game
  password: game123
  database: mock-test
  entities:
    - dist/db/*{.ts,.js}
  synchronize: false
  logging: true
redis:  # 给redis service用的redis配置
  enabled: true  #是否启用  默认视为true
  # 如果使用url的试，则cfg的方式无效
  # 示例
  # // Connect to 127.0.0.1:6380, db 4, using password "authpassword":
  # redis://:authpassword@127.0.0.1:6380/4
  #
  # // Username can also be passed via URI.
  # redis://username:authpassword@127.0.0.1:6380/4
  url:
  cfg:
    # needs Redis >= 6 才有username
    username:
    password:
    port: 6379
    host: 127.0.0.1
    database: 0
